gnutls_session_get_random(3)

NAME
gnutls_session_get_random - API function

SYNOPSIS
#include <gnutls/gnutls.h>

void gnutls_session_get_random(gnutls_session_t session, gnutls_datum_t* client, gnutls_datum_t* server);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t structure.

gnutls_datum_t* client
    the client part of the random

gnutls_datum_t* server
    the server part of the random

DESCRIPTION
This function returns pointers to the client and server random fields used in the TLS handshake. The pointers are not to be modified or deallocated. If a client random value has not yet been established, the output will be garbage.

SINCE
3.0

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.
General guidelines for reporting bugs: http://www.gnu.org/gethelp/
GnuTLS home page: http://www.gnu.org/software/gnutls/

COPYRIGHT
Copyright © 2001-2013 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual. As an alternative you may obtain the manual from:

    http://www.gnu.org/software/gnutls/manual/